Skip to content
LydieDevelopers
Menu

Share a page with someone by email

View as Markdown
POST/v1/documents/{documentId}/invite

Members get a grant. Someone with an account who is not a member is added as a guest. Anyone else is emailed an invitation that makes them a guest with this access.

Request
curl -X POST "https://api.lydie.co/v1/documents/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/invite" \
  -H "Authorization: Bearer $LYDIE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "ada@example.com",
    "level": "view"
  }'

Path parameters

Body

  • emailstringrequired· ≤ 320 chars
  • levelstringrequired

    One ofviewcommenteditfull

Response

200
{
  "status": "granted",
  "userId": null,
  "invitationId": null
}

Errors use one envelope for every endpoint. See Errors and versions.